test: other tests

master
Sean McBride 3 years ago
parent b8732147a9
commit 099aed1be2

@ -18,10 +18,10 @@ debug:
--eval-command="run spec.json" --eval-command="run spec.json"
client: client:
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@initial_state.dat" "${HOSTNAME}:10000" --output result1.dat curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@initial_state.dat" "${HOSTNAME}:10000/ekf_first_iter" --output result1.dat
diff -s result1.dat one_iteration.dat diff -s result1.dat one_iteration.dat
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@result1.dat" "${HOSTNAME}:10000" --output result2.dat curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@result1.dat" "${HOSTNAME}:10000/ekf_second_iter" --output result2.dat
diff -s result2.dat two_iterations.dat diff -s result2.dat two_iterations.dat
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@result2.dat" "${HOSTNAME}:10000" --output result3.dat curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@result2.dat" "${HOSTNAME}:10000/ekf_third_iter" --output result3.dat
diff -s result3.dat three_iterations.dat diff -s result3.dat three_iterations.dat
rm result*.dat rm result*.dat

@ -28,9 +28,9 @@ run_functional_tests() {
} }
for ((i = 0; i < total_count; i++)); do for ((i = 0; i < total_count; i++)); do
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@initial_state.dat" "$hostname":10000 2> /dev/null > "$tmpfs_dir/one_iteration_res.dat" curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@initial_state.dat" "$hostname":10000/ekf_first_iter 2> /dev/null > "$tmpfs_dir/one_iteration_res.dat"
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@$tmpfs_dir/one_iteration_res.dat" "$hostname":10001 2> /dev/null > "$tmpfs_dir/two_iterations_res.dat" curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@$tmpfs_dir/one_iteration_res.dat" "$hostname":10000/ekf_second_iter 2> /dev/null > "$tmpfs_dir/two_iterations_res.dat"
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@$tmpfs_dir/two_iterations_res.dat" "$hostname":10002 2> /dev/null > "$tmpfs_dir/three_iterations_res.dat" curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@$tmpfs_dir/two_iterations_res.dat" "$hostname":10000/ekf_third_iter 2> /dev/null > "$tmpfs_dir/three_iterations_res.dat"
if diff -s "$tmpfs_dir/one_iteration_res.dat" one_iteration.dat > /dev/null \ if diff -s "$tmpfs_dir/one_iteration_res.dat" one_iteration.dat > /dev/null \
&& diff -s "$tmpfs_dir/two_iterations_res.dat" two_iterations.dat > /dev/null \ && diff -s "$tmpfs_dir/two_iterations_res.dat" two_iterations.dat > /dev/null \
@ -68,7 +68,7 @@ run_perf_tests() {
done done
((batch_id++)) ((batch_id++))
hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET -D "./${workload}.dat" "http://${hostname}:${port[$workload]}" > "$results_directory/${workload}_${batch_id}.csv" & hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET -D "./${workload}.dat" "http://${hostname}:10000${path[$workload]}" > "$results_directory/${workload}_${batch_id}.csv" &
done done
pids=$(pgrep hey | tr '\n' ' ') pids=$(pgrep hey | tr '\n' ' ')
[[ -n $pids ]] && wait -f $pids [[ -n $pids ]] && wait -f $pids
@ -142,10 +142,10 @@ if [[ ! -f "$__run_sh__base_path/initial_state.dat" ]]; then
fi fi
declare -a workloads=(initial_state one_iteration two_iterations) declare -a workloads=(initial_state one_iteration two_iterations)
declare -A port=( declare -A path=(
[initial_state]=10000 [initial_state]=/ekf_first_iter
[one_iteration]=10001 [one_iteration]=/ekf_second_iter
[two_iterations]=10002 [two_iterations]=/ekf_third_iter
) )
framework_init "$@" framework_init "$@"

@ -1,32 +1,32 @@
[ [
{ {
"name": "ekf_first_iter", "name": "gwu",
"path": "gps_ekf.wasm.so",
"port": 10000, "port": 10000,
"expected-execution-us": 5000, "routes": [
"relative-deadline-us": 50000, {
"http-req-size": 1024000, "route": "/ekf_first_iter",
"http-resp-size": 1024000, "path": "gps_ekf.wasm.so",
"http-resp-content-type": "application/octet-stream" "expected-execution-us": 5000,
}, "relative-deadline-us": 50000,
{ "http-resp-size": 1024000,
"name": "ekf_second_iter", "http-resp-content-type": "application/octet-stream"
"path": "gps_ekf.wasm.so", },
"port": 10001, {
"expected-execution-us": 5000, "route": "/ekf_second_iter",
"relative-deadline-us": 50000, "path": "gps_ekf.wasm.so",
"http-req-size": 1024000, "expected-execution-us": 5000,
"http-resp-size": 1024000, "relative-deadline-us": 50000,
"http-resp-content-type": "application/octet-stream" "http-resp-size": 1024000,
}, "http-resp-content-type": "application/octet-stream"
{ },
"name": "ekf_third_iter", {
"path": "gps_ekf.wasm.so", "route": "/ekf_third_iter",
"port": 10002, "path": "gps_ekf.wasm.so",
"expected-execution-us": 5000, "expected-execution-us": 5000,
"relative-deadline-us": 50000, "relative-deadline-us": 50000,
"http-req-size": 1024000, "http-resp-size": 1024000,
"http-resp-size": 1024000, "http-resp-content-type": "application/octet-stream"
"http-resp-content-type": "application/octet-stream" }
]
} }
] ]

@ -18,5 +18,5 @@ debug:
--eval-command="run spec.json" --eval-command="run spec.json"
client: client:
curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@ekf_raw.dat" "${HOSTNAME}:10000" --output result.dat curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@ekf_raw.dat" "${HOSTNAME}:10000/ekf" --output result.dat
diff -s result.dat expected_result.dat diff -s result.dat expected_result.dat

@ -22,7 +22,7 @@ run_functional_tests() {
expected_result="$(tr -d '\0' < ./expected_result.dat)" expected_result="$(tr -d '\0' < ./expected_result.dat)"
for ((i = 0; i < total_count; i++)); do for ((i = 0; i < total_count; i++)); do
result="$(curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@ekf_raw.dat" "$hostname:10000" 2> /dev/null | tr -d '\0')" result="$(curl -H 'Expect:' -H "Content-Type: application/octet-stream" --data-binary "@ekf_raw.dat" "$hostname:10000/ekf" 2> /dev/null | tr -d '\0')"
if [[ "$expected_result" == "$result" ]]; then if [[ "$expected_result" == "$result" ]]; then
((success_count++)) ((success_count++))
else else

@ -1,12 +1,16 @@
[ [
{ {
"name": "ekf", "name": "gwu",
"path": "gps_ekf.wasm.so",
"port": 10000, "port": 10000,
"expected-execution-us": 5000, "routes": [
"relative-deadline-us": 50000, {
"http-req-size": 1024000, "route": "/ekf",
"http-resp-size": 1024000, "path": "gps_ekf.wasm.so",
"http-resp-content-type": "application/octet-stream" "expected-execution-us": 5000,
"relative-deadline-us": 50000,
"http-resp-size": 1024000,
"http-resp-content-type": "application/octet-stream"
}
]
} }
] ]

@ -1,11 +1,15 @@
[ [
{ {
"name": "hello_ps", "name": "gwu",
"path": "hello_ps.wasm.so",
"port": 10000, "port": 10000,
"relative-deadline-us": 50000, "routes": [
"http-req-size": 102400, {
"http-resp-size": 1048576, "route": "/hello_ps",
"http-resp-content-type": "image/jpeg" "path": "hello_ps.wasm.so",
"relative-deadline-us": 50000,
"http-resp-size": 1048576,
"http-resp-content-type": "image/jpeg"
}
]
} }
] ]

@ -35,4 +35,4 @@ debug: sledgert stack_overflow
--eval-command="run spec.json" --eval-command="run spec.json"
client: client:
http :10000 http :10000/stack_overflow

@ -12,7 +12,7 @@ experiment_client() {
local -r hostname="$1" local -r hostname="$1"
for ((i = 1; i <= 10; i++)); do for ((i = 1; i <= 10; i++)); do
http -p h "${hostname}:10000" | grep 500 || { http -p h "${hostname}:10000/stack_overflow" | grep 500 || {
echo "FAIL" echo "FAIL"
return 1 return 1
} }

@ -1,13 +1,17 @@
[ [
{ {
"name": "stack_overflow", "name": "gwu",
"path": "stack_overflow.wasm.so",
"port": 10000, "port": 10000,
"expected-execution-us": 10000000, "routes": [
"admissions-percentile": 70, {
"relative-deadline-us": 20000000, "route": "/stack_overflow",
"http-req-size": 1024, "path": "stack_overflow.wasm.so",
"http-resp-size": 1024, "expected-execution-us": 10000000,
"http-resp-content-type": "text/plain" "admissions-percentile": 70,
"relative-deadline-us": 20000000,
"http-resp-size": 1024,
"http-resp-content-type": "text/plain"
}
]
} }
] ]

@ -35,30 +35,30 @@ debug: sledgert trap_divzero
--eval-command="run spec.json" --eval-command="run spec.json"
client-ok: client-ok:
echo "1" | http :10000 echo "1" | http :10000/divide
client-trap: client-trap:
echo "0" | http :10000 echo "0" | http :10000/divide
client-trap2: client-trap2:
echo "-1" | http :10000 echo "-1" | http :10000/divide
test: test:
echo "4" | http :10000 echo "4" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "3" | http :10000 echo "3" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "2" | http :10000 echo "2" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "1" | http :10000 echo "1" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "1" | http :10000 echo "1" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "2" | http :10000 echo "2" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "3" | http :10000 echo "3" | http :10000/divide
echo "0" | http :10000 echo "0" | http :10000/divide
echo "4" | http :10000 echo "4" | http :10000/divide
client-fib10-multi: client-fib10-multi:
hey -z ${DURATION_SEC}s -cpus 4 -c 100 -t 0 -o csv -m GET -d "10\n" "http://${HOSTNAME}:10010" hey -z ${DURATION_SEC}s -cpus 4 -c 100 -t 0 -o csv -m GET -d "10\n" "http://${HOSTNAME}:10010/divide"

@ -12,11 +12,11 @@ experiment_client() {
local -r hostname="$1" local -r hostname="$1"
for ((i = 1; i <= 10; i++)); do for ((i = 1; i <= 10; i++)); do
echo "$i" | http -p h "${hostname}:10000" | grep 200 || { echo "$i" | http -p h "${hostname}:10000/divide" | grep 200 || {
echo "FAIL" echo "FAIL"
return 1 return 1
} }
echo "0" | http -p h "${hostname}:10000" | grep 500 || { echo "0" | http -p h "${hostname}:10000/divide" | grep 500 || {
echo "FAIL" echo "FAIL"
return 1 return 1
} }

@ -1,13 +1,17 @@
[ [
{ {
"name": "fibonacci_40", "name": "gwu",
"path": "trap_divzero.wasm.so",
"port": 10000, "port": 10000,
"expected-execution-us": 10000000, "routes": [
"admissions-percentile": 70, {
"relative-deadline-us": 20000000, "route": "/divide",
"http-req-size": 1024, "path": "trap_divzero.wasm.so",
"http-resp-size": 1024, "expected-execution-us": 10000000,
"http-resp-content-type": "text/plain" "admissions-percentile": 70,
"relative-deadline-us": 20000000,
"http-resp-size": 64,
"http-resp-content-type": "text/plain"
}
]
} }
] ]

@ -0,0 +1,13 @@
RUNTIME_DIR=../../runtime/
SLEDGE_BINARY_DIR=${RUNTIME_DIR}/bin
run:
LD_LIBRARY_PATH=${SLEDGE_BINARY_DIR} ${SLEDGE_BINARY_DIR}/sledgert spec.json
debug:
SLEDGE_DISABLE_PREEMPTION=true SLEDGE_NWORKERS=1 \
LD_LIBRARY_PATH=${SLEDGE_BINARY_DIR} gdb ${SLEDGE_BINARY_DIR}/sledgert \
--eval-command="handle SIGUSR1 noprint nostop" \
--eval-command="handle SIGPIPE noprint nostop" \
--eval-command="set pagination off" \
--eval-command="run spec.json"

@ -37,23 +37,23 @@ run_samples() {
# Scrape the perf window size from the source if possible # Scrape the perf window size from the source if possible
# TODO: Make a util function # TODO: Make a util function
local -r perf_window_path="$(path_join "$__run_sh__base_path" ../../include/perf_window_t.h)" local -r perf_window_path="$(path_join "$__run_sh__base_path" ../../runtime/include/perf_window_t.h)"
local -i perf_window_buffer_size local -i perf_window_buffer_size
if ! perf_window_buffer_size=$(grep "#define PERF_WINDOW_BUFFER_SIZE" < "$perf_window_path" | cut -d\ -f3); then if ! perf_window_buffer_size=$(grep "#define PERF_WINDOW_BUFFER_SIZE" < "$perf_window_path" | cut -d\ -f3); then
printf "Failed to scrape PERF_WINDOW_BUFFER_SIZE from ../../include/perf_window.h\n" printf "Failed to scrape PERF_WINDOW_BUFFER_SIZE from ../../runtime/include/perf_window.h\n"
printf "Defaulting to 16\n" printf "Defaulting to 16\n"
perf_window_buffer_size=16 perf_window_buffer_size=16
fi fi
local -ir perf_window_buffer_size local -ir perf_window_buffer_size
printf "Running Samples: " printf "Running Samples: "
hey -disable-compression -disable-keepalive -disable-redirects -n "$perf_window_buffer_size" -c "$perf_window_buffer_size" -cpus 3 -t 0 -o csv -m GET -d "40\n" "http://${hostname}:10040" 1> /dev/null 2> /dev/null || { hey -disable-compression -disable-keepalive -disable-redirects -n "$perf_window_buffer_size" -c "$perf_window_buffer_size" -cpus 3 -t 0 -o csv -m GET -d "40\n" "http://${hostname}:10000/fibonacci_10" 1> /dev/null 2> /dev/null || {
printf "[ERR]\n" printf "[ERR]\n"
panic "fibonacci_40 samples failed with $?" panic "fibonacci_40 samples failed with $?"
return 1 return 1
} }
hey -disable-compression -disable-keepalive -disable-redirects -n "$perf_window_buffer_size" -c "$perf_window_buffer_size" -cpus 3 -t 0 -o csv -m GET -d "10\n" "http://${hostname}:100010" 1> /dev/null 2> /dev/null || { hey -disable-compression -disable-keepalive -disable-redirects -n "$perf_window_buffer_size" -c "$perf_window_buffer_size" -cpus 3 -t 0 -o csv -m GET -d "10\n" "http://${hostname}:10000/fibonacci_10" 1> /dev/null 2> /dev/null || {
printf "[ERR]\n" printf "[ERR]\n"
panic "fibonacci_10 samples failed with $?" panic "fibonacci_10 samples failed with $?"
return 1 return 1
@ -83,9 +83,9 @@ run_experiments() {
local -a workloads=() local -a workloads=()
local -Ar port=( local -Ar path=(
[fibonacci_10]=10010 [fibonacci_10]=/fibonacci_10
[fibonacci_40]=10040 [fibonacci_40]=/fibonacci_40
) )
local -Ar body=( local -Ar body=(
@ -140,7 +140,7 @@ run_experiments() {
((batch_id++)) ((batch_id++))
for workload in "${workloads[@]}"; do for workload in "${workloads[@]}"; do
if ((roll >= floor[$workload] && roll < floor[$workload] + length[$workload])); then if ((roll >= floor[$workload] && roll < floor[$workload] + length[$workload])); then
hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET -d "${body[$workload]}\n" "http://${hostname}:${port[$workload]}" > "$results_directory/${workload}_${batch_id}.csv" 2> /dev/null & hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET -d "${body[$workload]}\n" "http://${hostname}:10000${path[$workload]}" > "$results_directory/${workload}_${batch_id}.csv" 2> /dev/null &
break break
fi fi
done done

@ -1,24 +1,26 @@
[ [
{ {
"name": "fibonacci_10", "name": "gwu",
"path": "fibonacci.wasm.so", "port": 10000,
"port": 10010, "routes": [
"expected-execution-us": 6000, {
"admissions-percentile": 70, "route": "/fibonacci_10",
"relative-deadline-us": 20000, "path": "fibonacci.wasm.so",
"http-req-size": 1024, "expected-execution-us": 6000,
"http-resp-size": 1024, "admissions-percentile": 70,
"http-resp-content-type": "text/plain" "relative-deadline-us": 20000,
}, "http-resp-size": 1024,
{ "http-resp-content-type": "text/plain"
"name": "fibonacci_40", },
"path": "fibonacci.wasm.so", {
"port": 10040, "route": "/fibonacci_40",
"expected-execution-us": 10000000, "path": "fibonacci.wasm.so",
"admissions-percentile": 70, "expected-execution-us": 10000000,
"relative-deadline-us": 20000000, "admissions-percentile": 70,
"http-req-size": 1024, "relative-deadline-us": 20000000,
"http-resp-size": 1024, "http-resp-size": 1024,
"http-resp-content-type": "text/plain" "http-resp-content-type": "text/plain"
}
]
} }
] ]

@ -0,0 +1,13 @@
RUNTIME_DIR=../../runtime/
SLEDGE_BINARY_DIR=${RUNTIME_DIR}/bin
run:
LD_LIBRARY_PATH=${SLEDGE_BINARY_DIR} ${SLEDGE_BINARY_DIR}/sledgert spec.json
debug:
SLEDGE_DISABLE_PREEMPTION=true SLEDGE_NWORKERS=1 \
LD_LIBRARY_PATH=${SLEDGE_BINARY_DIR} gdb ${SLEDGE_BINARY_DIR}/sledgert \
--eval-command="handle SIGUSR1 noprint nostop" \
--eval-command="handle SIGPIPE noprint nostop" \
--eval-command="set pagination off" \
--eval-command="run spec.json"

@ -23,10 +23,11 @@ source path_join.sh || exit 1
source validate_dependencies.sh || exit 1 source validate_dependencies.sh || exit 1
source percentiles_table.sh || exit 1 source percentiles_table.sh || exit 1
validate_dependencies hey jq # validate_dependencies hey jq
validate_dependencies hey
declare -a workloads=() declare -a workloads=()
declare -A port=() declare -A path=()
# Example of stripping off multiple suffix from variable in format string_multiple # Example of stripping off multiple suffix from variable in format string_multiple
# test="ekf_12223.23343" # test="ekf_12223.23343"
@ -46,17 +47,13 @@ initialize_globals() {
workload="${buffer[1]}" workload="${buffer[1]}"
# Update workload mix structures # Update workload mix structures
workloads+=("$workload") workloads+=("$workload")
port+=(["$workload"]=$(get_port "$workload")) path+=(["$workload"]=$(get_path "$workload"))
done < "$__run_sh__base_path/mix.csv" done < "$__run_sh__base_path/mix.csv"
} }
get_port() { get_path() {
local name="$1" local name="$1"
{ cat spec.json | jq ".[] | select(.name==\"gwu\") | .routes[] | select(.route==\"/${name}\") | .route"
echo "["
cat ./spec.json
echo "]"
} | jq ".[] | select(.name == \"$name\") | .port"
} }
run_experiments() { run_experiments() {
@ -125,7 +122,7 @@ run_experiments() {
if ((roll >= floor[$workload] && roll < floor[$workload] + length[$workload])); then if ((roll >= floor[$workload] && roll < floor[$workload] + length[$workload])); then
# We require word splitting on the value returned by the body associative array # We require word splitting on the value returned by the body associative array
#shellcheck disable=SC2086 #shellcheck disable=SC2086
hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET ${body[$shortname]} "http://${hostname}:${port[$workload]}" > /dev/null 2> /dev/null & hey -disable-compression -disable-keepalive -disable-redirects -n $batch_size -c 1 -cpus 1 -t 0 -o csv -m GET ${body[$shortname]} "http://${hostname}:10000/${path[$shortname]}" > /dev/null 2> /dev/null &
break break
fi fi
done done

@ -1,332 +1,278 @@
[ [
{ {
"name": "cifar10_1.5", "name": "gwu",
"path": "cifar10.wasm.so",
"port": 10018,
"expected-execution-us": 2777,
"relative-deadline-us": 4166,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "cifar10_1.6",
"path": "cifar10.wasm.so",
"port": 10019,
"expected-execution-us": 2777,
"relative-deadline-us": 4443,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "cifar10_1.7",
"path": "cifar10.wasm.so",
"port": 10020,
"expected-execution-us": 2777,
"relative-deadline-us": 4721,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "cifar10_1.8",
"path": "cifar10.wasm.so",
"port": 10021,
"expected-execution-us": 2777,
"relative-deadline-us": 4999,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "cifar10_1.9",
"path": "cifar10.wasm.so",
"port": 10022,
"expected-execution-us": 2777,
"relative-deadline-us": 5276,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "cifar10_2.0",
"path": "cifar10.wasm.so",
"port": 10023,
"expected-execution-us": 2777,
"relative-deadline-us": 5554,
"http-req-size": 4096,
"http-resp-size": 128,
"http-resp-content-type": "text/plain",
"admissions-percentile": 90
},
{
"name": "ekf_1.5",
"path": "gps_ekf.wasm.so",
"port": 10000, "port": 10000,
"expected-execution-us": 158, "routes": [
"relative-deadline-us": 237, {
"http-req-size": 1024000, "route": "/cifar10_1.5",
"http-resp-size": 1024000, "path": "cifar10.wasm.so",
"http-resp-content-type": "application/octet-stream", "expected-execution-us": 2777,
"admissions-percentile": 90 "relative-deadline-us": 4166,
}, "http-resp-size": 128,
{ "http-resp-content-type": "text/plain",
"name": "ekf_1.6", "admissions-percentile": 90
"path": "gps_ekf.wasm.so", },
"port": 10001, {
"expected-execution-us": 158, "route": "/cifar10_1.6",
"relative-deadline-us": 253, "path": "cifar10.wasm.so",
"http-req-size": 1024000, "expected-execution-us": 2777,
"http-resp-size": 1024000, "relative-deadline-us": 4443,
"http-resp-content-type": "application/octet-stream", "http-resp-size": 128,
"admissions-percentile": 90 "http-resp-content-type": "text/plain",
}, "admissions-percentile": 90
{ },
"name": "ekf_1.7", {
"path": "gps_ekf.wasm.so", "route": "/cifar10_1.7",
"port": 10002, "path": "cifar10.wasm.so",
"expected-execution-us": 158, "expected-execution-us": 2777,
"relative-deadline-us": 269, "relative-deadline-us": 4721,
"http-req-size": 1024000, "http-resp-size": 128,
"http-resp-size": 1024000, "http-resp-content-type": "text/plain",
"http-resp-content-type": "application/octet-stream", "admissions-percentile": 90
"admissions-percentile": 90 },
}, {
{ "route": "/cifar10_1.8",
"name": "ekf_1.8", "path": "cifar10.wasm.so",
"path": "gps_ekf.wasm.so", "expected-execution-us": 2777,
"port": 10003, "relative-deadline-us": 4999,
"expected-execution-us": 158, "http-resp-size": 128,
"relative-deadline-us": 284, "http-resp-content-type": "text/plain",
"http-req-size": 1024000, "admissions-percentile": 90
"http-resp-size": 1024000, },
"http-resp-content-type": "application/octet-stream", {
"admissions-percentile": 90 "route": "/cifar10_1.9",
}, "path": "cifar10.wasm.so",
{ "expected-execution-us": 2777,
"name": "ekf_1.9", "relative-deadline-us": 5276,
"path": "gps_ekf.wasm.so", "http-resp-size": 128,
"port": 10004, "http-resp-content-type": "text/plain",
"expected-execution-us": 158, "admissions-percentile": 90
"relative-deadline-us": 300, },
"http-req-size": 1024000, {
"http-resp-size": 1024000, "route": "/cifar10_2.0",
"http-resp-content-type": "application/octet-stream", "path": "cifar10.wasm.so",
"admissions-percentile": 90 "expected-execution-us": 2777,
}, "relative-deadline-us": 5554,
{ "http-resp-size": 128,
"name": "ekf_2.0", "http-resp-content-type": "text/plain",
"path": "gps_ekf.wasm.so", "admissions-percentile": 90
"port": 10005, },
"expected-execution-us": 158, {
"relative-deadline-us": 316, "route": "/ekf_1.5",
"http-req-size": 1024000, "path": "gps_ekf.wasm.so",
"http-resp-size": 1024000, "expected-execution-us": 158,
"http-resp-content-type": "application/octet-stream", "relative-deadline-us": 237,
"admissions-percentile": 90 "http-resp-size": 1024000,
}, "http-resp-content-type": "application/octet-stream",
{ "admissions-percentile": 90
"name": "gocr_1.5", },
"path": "gocr.wasm.so", {
"port": 10006, "route": "/ekf_1.6",
"expected-execution-us": 461831, "path": "gps_ekf.wasm.so",
"relative-deadline-us": 692746, "expected-execution-us": 158,
"http-req-size": 5335057, "relative-deadline-us": 253,
"http-resp-size": 5335057, "http-resp-size": 1024000,
"http-resp-content-type": "text/plain", "http-resp-content-type": "application/octet-stream",
"admissions-percentile": 90 "admissions-percentile": 90
}, },
{ {
"name": "gocr_1.6", "route": "/ekf_1.7",
"path": "gocr.wasm.so", "path": "gps_ekf.wasm.so",
"port": 10007, "expected-execution-us": 158,
"expected-execution-us": 461831, "relative-deadline-us": 269,
"relative-deadline-us": 738930, "http-resp-size": 1024000,
"http-req-size": 5335057, "http-resp-content-type": "application/octet-stream",
"http-resp-size": 5335057, "admissions-percentile": 90
"http-resp-content-type": "text/plain", },
"admissions-percentile": 90 {
}, "route": "/ekf_1.8",
{ "path": "gps_ekf.wasm.so",
"name": "gocr_1.7", "expected-execution-us": 158,
"path": "gocr.wasm.so", "relative-deadline-us": 284,
"port": 10008, "http-resp-size": 1024000,
"expected-execution-us": 461831, "http-resp-content-type": "application/octet-stream",
"relative-deadline-us": 785113, "admissions-percentile": 90
"http-req-size": 5335057, },
"http-resp-size": 5335057, {
"http-resp-content-type": "text/plain", "route": "/ekf_1.9",
"admissions-percentile": 90 "path": "gps_ekf.wasm.so",
}, "expected-execution-us": 158,
{ "relative-deadline-us": 300,
"name": "gocr_1.8", "http-resp-size": 1024000,
"path": "gocr.wasm.so", "http-resp-content-type": "application/octet-stream",
"port": 10009, "admissions-percentile": 90
"expected-execution-us": 461831, },
"relative-deadline-us": 831296, {
"http-req-size": 5335057, "route": "/ekf_2.0",
"http-resp-size": 5335057, "path": "gps_ekf.wasm.so",
"http-resp-content-type": "text/plain", "expected-execution-us": 158,
"admissions-percentile": 90 "relative-deadline-us": 316,
}, "http-resp-size": 1024000,
{ "http-resp-content-type": "application/octet-stream",
"name": "gocr_1.9", "admissions-percentile": 90
"path": "gocr.wasm.so", },
"port": 10010, {
"expected-execution-us": 461831, "route": "/gocr_1.5",
"relative-deadline-us": 877479, "path": "gocr.wasm.so",
"http-req-size": 5335057, "expected-execution-us": 461831,
"http-resp-size": 5335057, "relative-deadline-us": 692746,
"http-resp-content-type": "text/plain", "http-resp-size": 5335057,
"admissions-percentile": 90 "http-resp-content-type": "text/plain",
}, "admissions-percentile": 90
{ },
"name": "gocr_2.0", {
"path": "gocr.wasm.so", "route": "/gocr_1.6",
"port": 10011, "path": "gocr.wasm.so",
"expected-execution-us": 461831, "expected-execution-us": 461831,
"relative-deadline-us": 923662, "relative-deadline-us": 738930,
"http-req-size": 5335057, "http-resp-size": 5335057,
"http-resp-size": 5335057, "http-resp-content-type": "text/plain",
"http-resp-content-type": "text/plain", "admissions-percentile": 90
"admissions-percentile": 90 },
}, {
{ "route": "/gocr_1.7",
"name": "lpd_1.5", "path": "gocr.wasm.so",
"path": "license_plate_detection.wasm.so", "expected-execution-us": 461831,
"port": 10012, "relative-deadline-us": 785113,
"expected-execution-us": 31597, "http-resp-size": 5335057,
"relative-deadline-us": 47396, "http-resp-content-type": "text/plain",
"http-req-size": 1002400, "admissions-percentile": 90
"http-resp-size": 1048576, },
"http-resp-content-type": "text/plain", {
"admissions-percentile": 90 "route": "/gocr_1.8",
}, "path": "gocr.wasm.so",
{ "expected-execution-us": 461831,
"name": "lpd_1.6", "relative-deadline-us": 831296,
"path": "license_plate_detection.wasm.so", "http-resp-size": 5335057,
"port": 10013, "http-resp-content-type": "text/plain",
"expected-execution-us": 31597, "admissions-percentile": 90
"relative-deadline-us": 50555, },
"http-req-size": 1002400, {
"http-resp-size": 1048576, "route": "/gocr_1.9",
"http-resp-content-type": "text/plain", "path": "gocr.wasm.so",
"admissions-percentile": 90 "expected-execution-us": 461831,
}, "relative-deadline-us": 877479,
{ "http-resp-size": 5335057,
"name": "lpd_1.7", "http-resp-content-type": "text/plain",
"path": "license_plate_detection.wasm.so", "admissions-percentile": 90
"port": 10014, },
"expected-execution-us": 31597, {
"relative-deadline-us": 53715, "route": "/gocr_2.0",
"http-req-size": 1002400, "path": "gocr.wasm.so",
"http-resp-size": 1048576, "expected-execution-us": 461831,
"http-resp-content-type": "text/plain", "relative-deadline-us": 923662,
"admissions-percentile": 90 "http-resp-size": 5335057,
}, "http-resp-content-type": "text/plain",
{ "admissions-percentile": 90
"name": "lpd_1.8", },
"path": "license_plate_detection.wasm.so", {
"port": 10015, "route": "/lpd_1.5",
"expected-execution-us": 31597, "path": "license_plate_detection.wasm.so",
"relative-deadline-us": 56875, "expected-execution-us": 31597,
"http-req-size": 1002400, "relative-deadline-us": 47396,
"http-resp-size": 1048576, "http-resp-size": 1048576,
"http-resp-content-type": "text/plain", "http-resp-content-type": "text/plain",
"admissions-percentile": 90 "admissions-percentile": 90
}, },
{ {
"name": "lpd_1.9", "route": "/lpd_1.6",
"path": "license_plate_detection.wasm.so", "path": "license_plate_detection.wasm.so",
"port": 10016, "expected-execution-us": 31597,
"expected-execution-us": 31597, "relative-deadline-us": 50555,
"relative-deadline-us": 60034, "http-resp-size": 1048576,
"http-req-size": 1002400, "http-resp-content-type": "text/plain",
"http-resp-size": 1048576, "admissions-percentile": 90
"http-resp-content-type": "text/plain", },
"admissions-percentile": 90 {
}, "route": "/lpd_1.7",
{ "path": "license_plate_detection.wasm.so",
"name": "lpd_2.0", "expected-execution-us": 31597,
"path": "license_plate_detection.wasm.so", "relative-deadline-us": 53715,
"port": 10017, "http-resp-size": 1048576,
"expected-execution-us": 31597, "http-resp-content-type": "text/plain",
"relative-deadline-us": 63194, "admissions-percentile": 90
"http-req-size": 1002400, },
"http-resp-size": 1048576, {
"http-resp-content-type": "text/plain", "route": "/lpd_1.8",
"admissions-percentile": 90 "path": "license_plate_detection.wasm.so",
}, "expected-execution-us": 31597,
{ "relative-deadline-us": 56875,
"name": "resize_1.5", "http-resp-size": 1048576,
"path": "resize_image.wasm.so", "http-resp-content-type": "text/plain",
"port": 10018, "admissions-percentile": 90
"expected-execution-us": 138903, },
"relative-deadline-us": 208354, {
"http-req-size": 1524000, "route": "/lpd_1.9",
"http-resp-size": 1524000, "path": "license_plate_detection.wasm.so",
"http-resp-content-type": "image/png", "expected-execution-us": 31597,
"admissions-percentile": 90 "relative-deadline-us": 60034,
}, "http-resp-size": 1048576,
{ "http-resp-content-type": "text/plain",
"name": "resize_1.6", "admissions-percentile": 90
"path": "resize_image.wasm.so", },
"port": 10019, {
"expected-execution-us": 138903, "route": "/lpd_2.0",
"relative-deadline-us": 222245, "path": "license_plate_detection.wasm.so",
"http-req-size": 1524000, "expected-execution-us": 31597,
"http-resp-size": 1524000, "relative-deadline-us": 63194,
"http-resp-content-type": "image/png", "http-resp-size": 1048576,
"admissions-percentile": 90 "http-resp-content-type": "text/plain",
}, "admissions-percentile": 90
{ },
"name": "resize_1.7", {
"path": "resize_image.wasm.so", "route": "/resize_1.5",
"port": 10020, "path": "resize_image.wasm.so",
"expected-execution-us": 138903, "expected-execution-us": 138903,
"relative-deadline-us": 236135, "relative-deadline-us": 208354,
"http-req-size": 1524000, "http-resp-size": 1524000,
"http-resp-size": 1524000, "http-resp-content-type": "image/png",
"http-resp-content-type": "image/png", "admissions-percentile": 90
"admissions-percentile": 90 },
}, {
{ "route": "/resize_1.6",
"name": "resize_1.8", "path": "resize_image.wasm.so",
"path": "resize_image.wasm.so", "expected-execution-us": 138903,
"port": 10021, "relative-deadline-us": 222245,
"expected-execution-us": 138903, "http-resp-size": 1524000,
"relative-deadline-us": 250025, "http-resp-content-type": "image/png",
"http-req-size": 1524000, "admissions-percentile": 90
"http-resp-size": 1524000, },
"http-resp-content-type": "image/png", {
"admissions-percentile": 90 "route": "/resize_1.7",
}, "path": "resize_image.wasm.so",
{ "expected-execution-us": 138903,
"name": "resize_1.9", "relative-deadline-us": 236135,
"path": "resize_image.wasm.so", "http-resp-size": 1524000,
"port": 10022, "http-resp-content-type": "image/png",
"expected-execution-us": 138903, "admissions-percentile": 90
"relative-deadline-us": 263916, },
"http-req-size": 1524000, {
"http-resp-size": 1524000, "route": "/resize_1.8",
"http-resp-content-type": "image/png", "path": "resize_image.wasm.so",
"admissions-percentile": 90 "expected-execution-us": 138903,
}, "relative-deadline-us": 250025,
{ "http-resp-size": 1524000,
"name": "resize_2.0", "http-resp-content-type": "image/png",
"path": "resize_image.wasm.so", "admissions-percentile": 90
"port": 10023, },
"expected-execution-us": 138903, {
"relative-deadline-us": 277806, "route": "/resize_1.9",
"http-req-size": 1524000, "path": "resize_image.wasm.so",
"http-resp-size": 1524000, "expected-execution-us": 138903,
"http-resp-content-type": "image/png", "relative-deadline-us": 263916,
"admissions-percentile": 90 "http-resp-size": 1524000,
"http-resp-content-type": "image/png",
"admissions-percentile": 90
},
{
"route": "/resize_2.0",
"path": "resize_image.wasm.so",
"expected-execution-us": 138903,
"relative-deadline-us": 277806,
"http-resp-size": 1524000,
"http-resp-content-type": "image/png",
"admissions-percentile": 90
}
]
} }
] ]

Loading…
Cancel
Save